Document upload API
Document upload API , used to upload document against the insurance policy application.
Path Parameters
Request Body required
1SB Doc upload request
- Array [
- ]
- Array [
- ]
- Array [
- ]
Distributor object
Return a JSON object with latitude and longitude properties to point to location of user.
Possible values: <= 20 characters
Distributor ID assigned to each consumer by 1SB.
Possible values: <= 20 characters
PoSP code or SP code or Brokder Qualified Person.
Possible values: <= 20 characters
This is used by insurance companies to identify sales channel.
varFields object[]
varField array hold any additional data related to Distributor
Possible values: <= 20 characters
Name of additional fields
Possible values: <= 20 characters
Value of additional fields
Possible values: <= 15 characters
The code to identify for which insurance company this proposal belongs to.
Possible values: <= 100 characters
Reference number generated on submitting the proposal.
Possible values: <= 100 characters
Policy reference number.
Possible values: <= 100 characters
Reference number generated on submitting the proposal.
individualDetails object
Is the document for proposer or lifeassured.
Client ID.
Relationship of member with first or primary life assured.
This is Sequence number to be assigned by consumer app to each member.
fileDetails object
For what is this document upload?
1SB document ID.
Id as mentioned on the document.
Expiry date of the document shared.
file contents in base64 form.
In which format is the document.
Manufacturer Reference Number.
varFields object[]
varField array hold any additional data related to File.
Possible values: <= 20 characters
Name of additional fields
Possible values: <= 20 characters
Value of additional fields
varFields object[]
varField array hold any additional data
Possible values: <= 20 characters
Name of additional fields
Possible values: <= 20 characters
Value of additional fields
- 200
Successful Response
Schema
- Array [
- ]
- Array [
- ]
individualDetails object
Is the document for proposer or lifeassured.
Relationship of member with first or primary life assured.
This is Sequence number to be assigned by consumer app to each member.
fileDetails object
For what is this document upload?
1SB document ID.
Manufacturer Reference Number.
status code.
status description.
URL for customer to check the document uploaded by them.
varFields object[]
varField array hold any additional data related to File.
Possible values: <= 20 characters
Name of additional fields
Possible values: <= 20 characters
Value of additional fields
varFields object[]
varField array hold any additional data
Possible values: <= 20 characters
Name of additional fields
Possible values: <= 20 characters
Value of additional fields
{
"individualDetails": {
"memberType": "string",
"relationWithFirstLifeAssured": "Self, Spouse, mother, father etc..",
"memberSequenceNumber": 1,
"fileDetails": {
"SBDocCategory": "Id proof, Income proof etc.",
"SBDocId": "string",
"manuRequirementNo": "string",
"fileUploadStatus": "string",
"fileUploadStatusDesc": "string",
"docReviewURL": "string",
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
]
}
},
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
]
}